<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:tsi="http://toldskat.dk/xml/schemas/raplet/2005/01/01/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:MR="http://toldskat.dk/xml/schemas/metadatarepository/" xmlns:alsb="http://www.bea.com/wli/sb/" xmlns:fase1="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:tsk="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/">
	<xsl:import href="padding.xsl"/>
	<xsl:namespace-alias stylesheet-prefix="tsi" result-prefix="tsi"/>
	
	<xsl:output method="text" indent="yes" omit-xml-declaration="no" encoding="iso8859-1" media-type="text"/>
<!--
		Example input:
		<fase1:Segmentering>
			<fase1:SegmentNummer>000122609998</fase1:SegmentNummer>
			<fase1:SegmenterIalt>12</fase1:SegmenterIalt>
		</fase1:Segmentering>
		<fase1:IndsenderGadeAdresse>Ledernes Hovedorganisati   </fase1:IndsenderGadeAdresse>
		<fase1:IndsenderNavn>Vermlandsgade 65                   </fase1:IndsenderNavn>
		<fase1:BrugerNummer>0842</fase1:BrugerNummer>
		<fase1:YderligereIndsenderOplysninger/>
-->

<!--
	<xsl:template match="fase1:IndsenderOplysningerInddata">
		<xsl:call-template name="lpad">
			<xsl:with-param name="field">0001</xsl:with-param>
			<xsl:with-param name="length">4</xsl:with-param>			
		</xsl:call-template>
		<xsl:apply-templates select="fase1:BrugerNummer"/>
		<xsl:call-template name="lpad">
			<xsl:with-param name="field">0314317285</xsl:with-param>
			<xsl:with-param name="length">10</xsl:with-param>			
		</xsl:call-template>
		<xsl:apply-templates select="fase1:IndsenderNavn"/>
		<xsl:apply-templates select="fase1:IndsenderGadeAdresse"/>
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"/>
			<xsl:with-param name="length">150</xsl:with-param>			
		</xsl:call-template>
		<xsl:text>&#10;</xsl:text>
	</xsl:template>
-->
	<xsl:template match="fase1:IndsenderOplysningerInddata" mode="slut">
		<xsl:apply-templates select="."/>
	</xsl:template>

	<xsl:template match="fase1:IndsenderOplysningerInddata">
		<xsl:choose>
			<xsl:when test="fase1:YderligereIndsenderOplysninger/fase1:AngiverVirksomhedSENummer">
				<xsl:call-template name="lpad">
					<xsl:with-param name="field">9998</xsl:with-param>
					<xsl:with-param name="length">4</xsl:with-param>			
				</xsl:call-template>
				<xsl:call-template name="rpad">
					<xsl:with-param name="field">0000</xsl:with-param>
					<xsl:with-param name="length">4</xsl:with-param>			
				</xsl:call-template>
				<xsl:apply-templates select="fase1:Segmentering/fase1:SegmenterIalt"/>
				<xsl:call-template name="lpad">
					<xsl:with-param name="field"/>
					<xsl:with-param name="length">215</xsl:with-param>			
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="lpad">
					<xsl:with-param name="field">9998</xsl:with-param>
					<xsl:with-param name="length">4</xsl:with-param>			
				</xsl:call-template>
				<xsl:apply-templates select="fase1:BrugerNummer"/>
				<xsl:apply-templates select="fase1:Segmentering/fase1:SegmenterIalt"/>
				<xsl:call-template name="lpad">
					<xsl:with-param name="field"/>
					<xsl:with-param name="length">215</xsl:with-param>			
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>&#10;</xsl:text>
	</xsl:template>
	
	<xsl:template match="fase1:SegmenterIalt">
		<xsl:call-template name="rpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">7</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="fase1:BrugerNummer">
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">4</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>


	<xsl:template match="fase1:IndsenderNavn">
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">27</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:IndsenderGadeAdresse">
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">35</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
