<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:tsi="http://toldskat.dk/xml/schemas/raplet/2005/01/01/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:MR="http://toldskat.dk/xml/schemas/metadatarepository/" xmlns:alsb="http://www.bea.com/wli/sb/" xmlns:fase1="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:tsk="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/">
	<xsl:import href="padding.xsl"/>
	<xsl:namespace-alias stylesheet-prefix="tsi" result-prefix="tsi"/>

	<xsl:output method="text" indent="yes" omit-xml-declaration="no" encoding="iso8859-1" media-type="text"/>

<!--
		Example input:
		<fase1:IndberetningEnhed>
			<fase1:VirksomhedAngivelseDetail>
				<fase1:AngiverVirksomhedSENummer>
					<fase1:VirksomhedSENummer>17922513</fase1:VirksomhedSENummer>
				</fase1:AngiverVirksomhedSENummer>
			</fase1:VirksomhedAngivelseDetail>
			<fase1:AngivelseInddataDetail>
				<fase1:AngivelseValgtPeriode>
					<fase1:AngivelseValgtPeriodeSlutDato>2011-12-31+01:00</fase1:AngivelseValgtPeriodeSlutDato>
				</fase1:AngivelseValgtPeriode>
				<fase1:AKFAAngivelseInddata>
					<fase1:AKFAAngivelseMedlemCPRSENummer>0101461076</fase1:AKFAAngivelseMedlemCPRSENummer>
					<fase1:AKFAAngivelseBetalingKode>0</fase1:AKFAAngivelseBetalingKode>
					<fase1:AKFAAngivelseBelbArt>1</fase1:AKFAAngivelseBelbArt>
					<fase1:AKFAAngivelseErhvervsmssigIndbetalingBelb> 00000</fase1:AKFAAngivelseErhvervsmssigIndbetalingBelb>
					<fase1:AKFAAngivelseFradragsberettigetIndbetalingBelb> 00321</fase1:AKFAAngivelseFradragsberettigetIndbetalingBelb>
					<fase1:AKFAAngivelseGruppelivForsikringKode>0</fase1:AKFAAngivelseGruppelivForsikringKode>
					<fase1:AKFAAngivelseMedlemNummer>000000001001767</fase1:AKFAAngivelseMedlemNummer>
					<fase1:AKFAAngivelseRetteKode>0</fase1:AKFAAngivelseRetteKode>
					<fase1:AKFAAngivelseMedlemNavn><![CDATA[Nini Skovbro]]></fase1:AKFAAngivelseMedlemNavn>
					<fase1:AKFAAngivelseMedlemAdresse><![CDATA[Gartnervang 2 E,1 tv]]></fase1:AKFAAngivelseMedlemAdresse>
					<fase1:AKFAAngivelseMedlemPostdistrikt><![CDATA[]]></fase1:AKFAAngivelseMedlemPostdistrikt>
					<fase1:AKFAAngivelseMedlemPostNummer><![CDATA[]]></fase1:AKFAAngivelseMedlemPostNummer>
				</fase1:AKFAAngivelseInddata>
			</fase1:AngivelseInddataDetail>
		</fase1:IndberetningEnhed>
-->

	<xsl:template match="fase1:IndberetningEnhed">
		<xsl:call-template name="lpad">
			<xsl:with-param name="field">2260</xsl:with-param>
			<xsl:with-param name="length">4</xsl:with-param>			
		</xsl:call-template>
		<xsl:apply-templates select="fase1:VirksomhedAngivelseDetail/fase1:AngiverVirksomhedSENummer/fase1:VirksomhedSENummer"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemCPRSENummer"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemNummer"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AngivelseValgtPeriode/fase1:AngivelseValgtPeriodeSlutDato"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseFradragsberettigetIndbetalingBelb"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseBelbArt"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseErhvervsmssigIndbetalingBelb"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseBetalingKode"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseGruppelivForsikringKode"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseRetteKode"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemNavn"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemAdresse"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemPostdistrikt"/>
		<xsl:apply-templates select="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemPostNummer"/>
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"/>
			<xsl:with-param name="length">15</xsl:with-param>			
		</xsl:call-template>
		<xsl:text>&#10;</xsl:text>
	</xsl:template>

	<xsl:template match="fase1:VirksomhedAngivelseDetail/fase1:AngiverVirksomhedSENummer/fase1:VirksomhedSENummer"> <!-- OPSENR -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">8</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemCPRSENummer"> <!-- PNRSENR -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">10</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemNummer"> <!-- MEDLEMSNR -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">15</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AngivelseValgtPeriode/fase1:AngivelseValgtPeriodeSlutDato"> <!-- INDKR -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="substring(.,3,2)"/></xsl:with-param>
			<xsl:with-param name="length">2</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseFradragsberettigetIndbetalingBelb"> <!-- FORTEGN --> <!-- FAGLIKTINGBLB -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="substring(.,1,1)"/></xsl:with-param>
			<xsl:with-param name="length">1</xsl:with-param>			
		</xsl:call-template>
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="substring(.,2)"/></xsl:with-param>
			<xsl:with-param name="length">5</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseBelbArt"> <!-- BELBSART -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">1</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseErhvervsmssigIndbetalingBelb"> <!-- FORTEGN --> <!-- ERHVEINDBBLB -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="substring(.,1,1)"/></xsl:with-param>
			<xsl:with-param name="length">1</xsl:with-param>			
		</xsl:call-template>
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="substring(.,2)"/></xsl:with-param>
			<xsl:with-param name="length">5</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseBetalingKode"> <!-- BETALINGSKOD -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">1</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseGruppelivForsikringKode"> <!-- GRUPPELIVFORSKOD -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">1</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseRetteKode"> <!-- RETTEKOD -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">1</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemNavn"> <!-- NAVN/ADRESSE1 -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">40</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemAdresse"> <!-- NAVN/ADRESSE2 -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">40</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemPostdistrikt"> <!-- NAVN/ADRESSE3 -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">40</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="fase1:AngivelseInddataDetail/fase1:AKFAAngivelseInddata/fase1:AKFAAngivelseMedlemPostNummer"> <!-- NAVN/ADRESSE4 -->
		<xsl:call-template name="lpad">
			<xsl:with-param name="field"><xsl:value-of select="."/></xsl:with-param>
			<xsl:with-param name="length">40</xsl:with-param>			
		</xsl:call-template>
	</xsl:template>



</xsl:stylesheet>
